Jump to content
CarPort ForumCarPort Forum

CarPort Version 2.2 oder neuer


PPC400
 Share

Recommended Posts

Hallo, habe ein Problem mit Carport.

XP, SP3, 1ghz, 500Mb....Usb1

Die Versionen bis 2.1.3 laufen bei dem Laptop.

Ab 2.2 bis zur neusten Version gibt es die

Fehlermeldung...Failed to Load DLL Qt5WepKitWidgets_MPP_.dll......

Was könnte ich da machen ?

Bei meinen anderen Laptop mit Usb1 das gleiche....

nur die Laptops mit Usb2 machen keine Fehlermeldung.

Ich hoffe auf baldige Lösung.

 

Mit freundlichen Gruß

PPC400

CarPort Basis-Modul OBD2   /   KKL Pro Version  /  CAN Pro Version

Link to comment
Share on other sites

Hallo,

 

einige von CarPort verwendete Bibliotheken benötigen einen Prozessor mit SSE2 Befehlssatz. Ich vermute, dass dies bei deinem System nicht gegeben ist. Systeme mit Pentium 3 oder Athlon XP Prozessor werden leider seit der Version 2.1.3 nicht mehr unterstützt.

 

Grüße

Per

Link to comment
Share on other sites

Hier selbiges Problem.

Es wurde eine Version erstellt die genauso lauffähig war und die auch lief.

Meine Frage war ob das so bleibt, bzw. ob es ohne diesen Befehlssatz probleme gibt.

Antwort : nein.

Die nächste Version lief dann aus gleichem Grund nicht mehr.

Innerhalb meiner Updatezeit fragte ich dann ob nochmal die neue Version ohne SSE2 Problemen erstellt werden könne.

Antwort:

 

Sie finden alle alten CarPort Versionen auf unserer Website im Download Bereich:
https://carport-diagnose.de/de/download

Für mich hat diese Antwort bedeutet das ich ohne neuen Rechner neuere Versionen von Carport nicht nutzen kann.

Ich habe dann für unter 30 Euro die in Chine geknackte VCDS Version in deutsch bestellt und sie läuft.
Gestern habe ich bei PCI-Diagnosetechnik die VCDS Version im Original bestellt.

Sorry, aber ich musste erst ein bissel sparen da ich mein spärliches Budget  für Carport ausgegeben hatte...

 

Sorry Leute, aber mich verarscht man nur einmal.

MfG

Link to comment
Share on other sites

Hi, es ist für mich nicht verständlich das ein Programm mit der Anpreisung ...läuft unter XP, Vista,usw...und dann liest man

das es nur mit einen Prozessor mit SSE2 Befehlssatz läuft....wiso..?

 

Das ist das erste mal das ich so eine Einschränkung unter XP habe.

Da sollte sich der Programmierer mal Gedanken machen. Es gibt Programme denen es egal ist was für ein Prozessor verbau ist,solange es

mit XP oder anderer Winoberfläche gestartet wird.

 

Also bitte an die Programmierer eine lauffähige Version schaffen , die auch unter XP läuft und nicht erst abkassieren oder Stunden lang

suchen lassen und dann mit der Info rausrücken das es einen schnellen P4 oder XXX sein muß.

 

Für mich heißt das erst ein mal warten das sich da was ändert. Aber Kaufen tue ich sie nicht.

 

Mit freundlichen Gruß

PPC400

CarPort Basis-Modul OBD2   /   KKL Pro Version  /  CAN Pro Version

Link to comment
Share on other sites

Hallo,

 

das Problem ist Systemunabhängig und liegt nicht an Windows XP, sondern an den von CarPort verwendeten Bibliotheken. Diese Bibliotheken sind nötig, um die Funktionalität auf eine pixelfreie Darstellung mit Windows 10 zu ermöglichen.

Prozessoren mit dem SSE2 Befehlssatz werden bereits seit 15 Jahren in neuen Rechnern verbaut.

 

Dazu auch noch ein kleiner Auszug aus Wikipedia:

"Da SSE2 eine der ersten SIMD-Erweiterungen der x86-Architektur ist und bereits im Jahr 2001 auf den Markt kam, unterstützen alle seit etwa den späten 2000er Jahren verkauften x86-CPUs SSE2. Viele Compiler generieren heute standardmäßig SSE2-Code, so dass die erzeugten Programmdateien bzw. -Bibliotheken nicht mehr auf Prozessoren ohne SSE2 lauffähig sind"

 

Es ist also kein reines CarPort Problem, sondern ein generelles Problem von neuerer Software bei der Nutzung mit relativ alten Prozessoren.

 

Grüße

 

Per

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.